<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:import href="transformer.xslt"/>

<xsl:template match="/">
	<java version="1.4.2" class="java.beans.XMLDecoder">
		<object id="self" class="com.teppefall.ds.layout.jxml.jfc.GraphAssembly">
			<xsl:apply-templates/>
		</object>
	</java>
</xsl:template>

<xsl:template match="graph">
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="node">
    <object idref="self">
        <void method="addNode">
            <string><xsl:value-of select="@name"/></string>
        </void>
    </object>
	<xsl:apply-templates/>
</xsl:template>

</xsl:stylesheet>